## org.eclipse.jetty.server.handler.jmx
Class ContextHandlerMBean

    java.lang.Object
      org.eclipse.jetty.jmx.ObjectMBean
          org.eclipse.jetty.server.handler.jmx.ContextHandlerMBean

All Implemented Interfaces:
  DynamicMBean

Direct Known Subclasses:
  WebAppContextMBean

    public class ContextHandlerMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean
`_managed`

Constructor Summary
`ContextHandlerMBean(Object managedObject)`

Method Summary
`Map` `getContextAttributes()`
`String` `getObjectNameBasis()`
`void` `removeContextAttribute(String name)`
`void` `setContextAttribute(String name, Object value)`
`void` `setContextAttribute(String name, String value)`

Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextHandlerMBean

    public ContextHandlerMBean(Object managedObject)

Method Detail

### getObjectNameBasis

    public String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ObjectMBean`

### getContextAttributes

    public Map getContextAttributes()

### setContextAttribute

    public void setContextAttribute(String name,
                                    Object value)

### setContextAttribute

    public void setContextAttribute(String name,
                                    String value)

### removeContextAttribute

    public void removeContextAttribute(String name)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.